Upload report
curl --request POST \
--url https://{host}/customerfeedback/v1/Feedback/report \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"report": "<string>"
}
'import requests
url = "https://{host}/customerfeedback/v1/Feedback/report"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"report": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '2023-11-07T05:31:56Z', report: '<string>'})
};
fetch('https://{host}/customerfeedback/v1/Feedback/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Upload report
Uploads a feedback report to blob storage.
This endpoint accepts a pre-generated report and stores it in blob storage for the specified report type and start date. Returns the URL where the report can be accessed.
POST
/
v1
/
Feedback
/
report
Upload report
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
Request containing report type, start date, and report content
Response
OK
File URL where the uploaded report can be accessed
Last modified on August 10, 2026
⌘I